#
# spec file for package golang-org-x-oauth2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-org-x-oauth2
Version:        0.0.0+git20150701.8914e50
Release:        4.1
Summary:        OAuth 2.0 for Go clients
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/golang/oauth2
Source:         oauth2-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:	golang(golang.org/x/net)
BuildRequires:	golang(google.golang.org/cloud)
BuildRequires:	xz
Provides:	go-oauth2 = %{version}
Obsoletes:	go-oauth2 < %{version}
%{go_provides}

%description
An OAuth 2.0 library for the Go programming language.

%gosrc_package

%prep
%setup -q -n oauth2-%{version}

%build
%goprep golang.org/x/oauth2
%gobuild ...

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS LICENSE
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sat Jul 11 2015 i@marguerite.su
- rename golang-org-x-oauth2
- update version 0.0.0+git20150701.8914e50
- use golang-packaging for packaging
* Wed Mar 25 2015 i@marguerite.su
- update license: BSD-3-Clause
* Sun Mar 22 2015 i@marguerite.su
- update version 0.0.0+git20150321.ca8a464
- source URL changed to github.com/golang/oauth2
- import path changed to golang.org/x/oauth2
* Wed Sep 17 2014 i@marguerite.su
- update version 0.0.0+hg20140828.80.afe77d958c70
- drop patch: opensuse-build-fix.patch
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Mon Aug  5 2013 ro@suse.de
- use ExclusiveArch to limit build to the same architectures as go
* Mon Jun 11 2012 graham@andtech.eu
- Update spec file with new package location
- Add documentation sub package
* Wed Mar  7 2012 graham@andtech.eu
- Update spec file for latest Go rpm macro changes
* Fri Feb  3 2012 graham@andtech.eu
- gofixes for latest
* Tue Dec 13 2011 saschpe@suse.de
- Adjust to Go weekly.2011-12-02 release changes
* Thu Oct  6 2011 graham@andtech.eu
- Update to hg 13.08.2011
  - refresh token before attempting HTTP request
* Fri Jun 17 2011 saschpe@gmx.de
- Update to 17/06/2011 mercurial version
  * Update to lastest Go http changes
* Wed Jun  8 2011 saschpe@suse.de
- Use new %%go_disable_brp_strip_static_archive macro
* Sat May 21 2011 saschpe@gmx.de
- Disable brp-strip-static-archive on Fedora, RHEL and CentOS
* Sat May 21 2011 saschpe@gmx.de
- Initial version
